php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #79529 I can't dist-upgrade to 7.4.5
Submitted: 2020-04-27 13:07 UTC Modified: 2020-04-27 13:25 UTC
From: mike dot mckenney at scsiraidguru dot com Assigned:
Status: Not a bug Package: *General Issues
PHP Version: 7.4.5 OS: Ubuntu 20.04
Private report: No CVE-ID: None
 [2020-04-27 13:07 UTC] mike dot mckenney at scsiraidguru dot com
Description:
------------
I created a new Ubuntu 20.04 Wordpress server.  I added in the repositories like I did on 18.04.  18.04 is on 7.4.5.  20.04 will only go to 7.4.3.  

sudo apt update
Hit:1 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal InRelease
Hit:2 http://ppa.launchpad.net/ondrej/php/ubuntu focal InRelease



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2020-04-27 13:10 UTC] bugreports at gmail dot com
why do you think https://bugs.php.net/ is the right place instead https://bugs.launchpad.net/ubuntu when you have issues with your downstream distribution?

php.net don't provide any binaries at all for Linux
 [2020-04-27 13:13 UTC] nikic@php.net
-Status: Open +Status: Not a bug
 [2020-04-27 13:13 UTC] nikic@php.net
Most likely, on 18.04 you get the packages from ondrej repo, while on 20.04 you get them from canonical repo.

In any case, nothing we can do about this from our side. Likely PHP 7.4 for 20.04 will turn up in the ondrej repo at some point, but you should be fine using the upstream package for now.
 [2020-04-27 13:25 UTC] mike dot mckenney at scsiraidguru dot com
I opened a bug report at both.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Thu Aug 18 19:05:43 2022 UTC